KILL(1)

BEZEICHNUNG
kill - beendet einen Prozess

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 1 kill

eingeben.

SYNTAX
kill [-Signr] Prozessnr

BESCHREIBUNG
kill wird benutzt, um außer Kontrolle geratene (,,aufgehängte'') Prozesse, die sich nicht mehr auf normale Art beenden lassen, zu terminieren (beenden). kill sendet dazu das Signal Signr an den Prozess Prozessnr. Standardwert ist SIGTERM (15) zum terminieren des Prozesses. Es können aber auch beliebige andere Signale gesendet werden. Weil das Signal SIGTERM nicht von allen Programmen bearbeitet wird, wird ein Prozess manchmal erst mit dem Signal SIGKILL(9) vom Kernel beendet. Der ,,normalen'' Terminierung mit SIGTERM ist aber der Vorzug zu geben, weil dadurch dem Prozess noch die Möglichkeit gegeben wird, die Bühne geordnet zu Verlassen. Es können nur die eigenen Prozesse beendet werden.

In der bash ist ein kill Kommando eingebaut, dass dieses externe Programm verdeckt, wenn nicht ausdrücklich mit dem command Shellkommando das externe Programm aufgerufen wird.

OPTIONEN

-Signr
    sendet Signr anstelle von SIGTERM (15)

SIEHE AUCH
das LunetIX Linuxhandbuch

AUTOR
Peter MacDonald